const request = require("request");

exports.httpReq = (ctx, opts) => {
  opts.timeout = opts.timeout || 10000;
  return new Promise((resolve, reject) => {
    var time_start = +new Date();

    const defaultQs = {
      appid: "merchant-op",
      cv: "1.0.0",
      version: "999999",
      distribution: "op",
      net: "wifi",
      platform: "2"
    };

    opts.qs = { ...defaultQs, ...ctx.request.query, ...opts.qs };

    request(opts, (err, res, body) => {
      console.info(
        `[Api] httpReq (${opts.url}, user:[${opts.qs.op_cur_user
        }]) spent: ${+new Date() - time_start}ms`
      );

      if (!err) {
        resolve(body);
      } else {
        reject(err);
        console.error(opts.url, err);
      }
    });
  });
};


